Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: "K. Richard Pixley" <[email-masked]>
Date: Mon, 03 Jan 2011 14:14:22 -0800

On 20110103 14:04, Lennart Borgman wrote:
> On Mon, Jan 3, 2011 at 10:30 PM, K. Richard Pixley<[email-masked]>  wrote:
>> On 20110103 13:02, Lennart Borgman wrote:
>> I have no complaint or problem with dimmed or bolded.  Dimmed certainly
>> could become illegible if it were sufficiently dim, but it seems to be fine
>> in most cases.  Unlike, say, dim yellow text on off white background which
>> is essentially invisible.  Or red on green background or yellow on blue, (or
>> vice verse), which are completely invisible.
>>
>> Most programmers aren't color experts.  They just slap up what seem like
>> contrasting colors to them without much thought to subjective experience,
>> (color blindness, cognitive variance, environmental factors like X11
>> themeing), color set themeing, look-and-feel coordination, pleasing
>> presentation, etc.
>>
>> Thunderbird uses color and I find their use of color constructive.
>>
>> It's low/no contrast color and "bad" use of color to which I object, (and
>> 95% of color uses are "bad", ime).
>>
>> I want the "bad" color to go away.  And that seems to be primarily font-lock
>> uses.
> Then perhaps the best solution would rather be a color theme adjusted
> to your needs? I mean in case that is possible to figure out on a more
> general level. Since you say that thunderbird seems to have done that
> it looks possible to me.
Part of my point here is that creating a color theme that is 
sufficiently general is beyond the scope of most programmers.  Making 
"bad" color the default is a poor choice if it can be turned off but 
it's a horrendous choice if it cannot.

Certainly, a professionally color themed emacs by a color expert might 
be a better choice.  However, most of us are programmers, not color 
experts.  Turning the functionality off should be within our scope while 
creating expert color themes probably isn't.

I mean no offense to anyone in particular, but even if we held a contest 
for best color theme, selected the top dozen or so to go into emacs as 
available alternatives, there would still be people who didn't like any 
of the available options or who simply don't like color coding.  For 
them, the best UI would be an option to "turn color coding off" rather 
than to create a set of monochrome color themes.

--rich